package com.bonus.canteen.core.device.manage.controller.deprecated.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("mac_machine_counter")
@ApiModel("取餐柜设备 ")
public class MacMachineCounter extends Model<MacMachineCounter> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("设备id 设备id")
   private Long machineId;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("取餐柜编号（1号柜、2号柜）")
   private Integer couNum;
   @ApiModelProperty("取餐柜柜门数量")
   private Integer couCount;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMachineId() {
      return this.machineId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getCouNum() {
      return this.couNum;
   }

   public Integer getCouCount() {
      return this.couCount;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMachineId(final Long machineId) {
      this.machineId = machineId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setCouNum(final Integer couNum) {
      this.couNum = couNum;
   }

   public void setCouCount(final Integer couCount) {
      this.couCount = couCount;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
